package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 是否展示英文 (0.否，1.是) 枚举类
*
* @author zxfei
*/
public enum IsEnglishEnum {
    否(0, "否"),
    是(1, "是");
    private Integer value;
    private String desc;

    IsEnglishEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static IsEnglishEnum getByValue(Integer value) {
        for (IsEnglishEnum isEnglishEnum : IsEnglishEnum.values()) {
            if (isEnglishEnum.getValue() == value) {
                return isEnglishEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (IsEnglishEnum item : IsEnglishEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}